<template>
  <div>
    <h2>Редактирование абонента</h2>
    <b-form @submit="update">
      <b-form-group label="ФИО:">
        <b-input-group class="mb-2">
          <b-form-input v-model="form.lname" required placeholder="Фамилия" />
          <b-form-input v-model="form.fname" required placeholder="Имя" />
          <b-form-input v-model="form.mname" placeholder="Отчество" />
        </b-input-group>
      </b-form-group>
      <b-form-group label="Паспорт:">
        <b-input-group class="mb-2">
          <b-form-input v-model="form.passport_series" required placeholder="Серия" />
          <b-form-input v-model="form.passport_number" required placeholder="Номер" />
        </b-input-group>
        <b-form-input v-model="form.passport_issuer" type="text" required placeholder="Кем выдан" />
      </b-form-group>
      <b-form-group label="Пол:">
        <b-form-radio-group v-model="form.gender" :options="gender"></b-form-radio-group>
      </b-form-group>
      <b-form-group label="Телефон:">
        <b-input v-model="form.phone" required />
      </b-form-group>
      <b-button type="submit" variant="primary">
        Редактировать
      </b-button>
      <nuxt-link tag="button" class="btn btn-outline-secondary" :to="{path: `/abonents/${form._id}`}">Назад</nuxt-link>
    </b-form>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  asyncData ({ $config: { baseURL }, params }) {
    return axios.get(`${baseURL}/abonents/${params.id}`).then((resp) => { return { form: resp.data, baseURL } })
  },
  data () {
    return {
      gender: [
        { text: 'Мужской', value: 'male' },
        { text: 'Женский', value: 'female' }
      ],
      form: {
        fname: '',
        lname: '',
        mname: '',
        gender: 'male',
        phone: '',
        passport_series: '',
        passport_number: '',
        passport_issuer: '',
        data: {}
      }
    }
  },
  head () {
    return {
      title: 'Редактирование абонента'
    }
  },
  methods: {
    async update (e) {
      e.preventDefault()
      const response = await axios.patch(`${this.baseURL}/abonents/${this.form._id}`, this.form)
      this.form = response.data
    }
  }
}
</script>

<style scoped>

</style>
